Package org.drinkless.tdlib

# Class TdApi.ThemeParameters

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.ThemeParameters

Enclosing class:
  TdApi

public static class TdApi.ThemeParameters extends TdApi.Object
Contains parameters of the application theme.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `int`
  `accentTextColor`
  An accent color of the text in the RGB24 format.
  `int`
  `backgroundColor`
  A color of the background in the RGB24 format.
  `int`
  `buttonColor`
  A color of the buttons in the RGB24 format.
  `int`
  `buttonTextColor`
  A color of text on the buttons in the RGB24 format.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `int`
  `destructiveTextColor`
  A color of the text for destructive actions in the RGB24 format.
  `int`
  `headerBackgroundColor`
  A color of the header background in the RGB24 format.
  `int`
  `hintColor`
  A color of hints in the RGB24 format.
  `int`
  `linkColor`
  A color of links in the RGB24 format.
  `int`
  `secondaryBackgroundColor`
  A secondary color for the background in the RGB24 format.
  `int`
  `sectionBackgroundColor`
  A color of the section background in the RGB24 format.
  `int`
  `sectionHeaderTextColor`
  A color of text on the section headers in the RGB24 format.
  `int`
  `sectionSeparatorColor`
  A color of the section separator in the RGB24 format.
  `int`
  `subtitleTextColor`
  A color of the subtitle text in the RGB24 format.
  `int`
  `textColor`
  A color of text in the RGB24 format.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ThemeParameters()`
  Contains parameters of the application theme.
  `ThemeParameters(int backgroundColor, int secondaryBackgroundColor, int headerBackgroundColor, int sectionBackgroundColor, int sectionSeparatorColor, int textColor, int accentTextColor, int sectionHeaderTextColor, int subtitleTextColor, int destructiveTextColor, int hintColor, int linkColor, int buttonColor, int buttonTextColor)`
  Contains parameters of the application theme.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### backgroundColor

    public int backgroundColor
    A color of the background in the RGB24 format.

  - ### secondaryBackgroundColor

    public int secondaryBackgroundColor
    A secondary color for the background in the RGB24 format.

  - ### headerBackgroundColor

    public int headerBackgroundColor
    A color of the header background in the RGB24 format.

  - ### sectionBackgroundColor

    public int sectionBackgroundColor
    A color of the section background in the RGB24 format.

  - ### sectionSeparatorColor

    public int sectionSeparatorColor
    A color of the section separator in the RGB24 format.

  - ### textColor

    public int textColor
    A color of text in the RGB24 format.

  - ### accentTextColor

    public int accentTextColor
    An accent color of the text in the RGB24 format.

  - ### sectionHeaderTextColor

    public int sectionHeaderTextColor
    A color of text on the section headers in the RGB24 format.

  - ### subtitleTextColor

    public int subtitleTextColor
    A color of the subtitle text in the RGB24 format.

  - ### destructiveTextColor

    public int destructiveTextColor
    A color of the text for destructive actions in the RGB24 format.

  - ### hintColor

    public int hintColor
    A color of hints in the RGB24 format.

  - ### linkColor

    public int linkColor
    A color of links in the RGB24 format.

  - ### buttonColor

    public int buttonColor
    A color of the buttons in the RGB24 format.

  - ### buttonTextColor

    public int buttonTextColor
    A color of text on the buttons in the RGB24 format.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### ThemeParameters

    public ThemeParameters()
    Contains parameters of the application theme.

  - ### ThemeParameters

    public ThemeParameters(int backgroundColor, int secondaryBackgroundColor, int headerBackgroundColor, int sectionBackgroundColor, int sectionSeparatorColor, int textColor, int accentTextColor, int sectionHeaderTextColor, int subtitleTextColor, int destructiveTextColor, int hintColor, int linkColor, int buttonColor, int buttonTextColor)
    Contains parameters of the application theme.
    Parameters:
      `backgroundColor` - A color of the background in the RGB24 format.
      `secondaryBackgroundColor` - A secondary color for the background in the RGB24 format.
      `headerBackgroundColor` - A color of the header background in the RGB24 format.
      `sectionBackgroundColor` - A color of the section background in the RGB24 format.
      `sectionSeparatorColor` - A color of the section separator in the RGB24 format.
      `textColor` - A color of text in the RGB24 format.
      `accentTextColor` - An accent color of the text in the RGB24 format.
      `sectionHeaderTextColor` - A color of text on the section headers in the RGB24 format.
      `subtitleTextColor` - A color of the subtitle text in the RGB24 format.
      `destructiveTextColor` - A color of the text for destructive actions in the RGB24 format.
      `hintColor` - A color of hints in the RGB24 format.
      `linkColor` - A color of links in the RGB24 format.
      `buttonColor` - A color of the buttons in the RGB24 format.
      `buttonTextColor` - A color of text on the buttons in the RGB24 format.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      this.CONSTRUCTOR